{
  description = "Bitpoll - A web application for scheduling meetings and general polling";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.05";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
        bitpoll = pkgs.callPackage ./package.nix { };
      in
      {
        packages = {
          default = bitpoll;
          bitpoll = bitpoll;
        };

        devShells.default = pkgs.mkShell {
          buildInputs = with pkgs; [
            python3
            python3Packages.pip
            python3Packages.virtualenv
            postgresql
            uwsgi
          ];
          shellHook = ''
            echo "Bitpoll development environment"
            echo "Run 'nix build' to build the package"
            echo "Run 'nixos-rebuild switch --flake .#' to deploy the service"
          '';
        };
      }
    ) // {
      nixosModules = {
        default = import ./module.nix;
        bitpoll = import ./module.nix;
      };
    };
}
